/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * Comunicaciones.java
 *
 * Created on 08-oct-2011, 11:26:12
 */
package rs232;

/**
 *
 * @author Jorge
 */
public class Comunicaciones extends javax.swing.JDialog {
    HyperTerminal hyperTerminal;
    private int velocidad;
    private int bitsDatos;
    private double bitsParo;
    private int paridad;
    
    private boolean ctrl_flujo; //<--------------------->> YO
    /** Creates new form Comunicaciones **/
    public Comunicaciones(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();
    }
     
    public Comunicaciones(java.awt.Frame parent, boolean modal,HyperTerminal hyperTerminal){
        super(parent,modal);
        initComponents();
        this.hyperTerminal=hyperTerminal;
        velocidad=hyperTerminal.getVelocidad();
        bitsParo=hyperTerminal.getBitsParo();
        bitsDatos=hyperTerminal.getBitsDatos();
        paridad=hyperTerminal.getParidad();
        ctrl_flujo=hyperTerminal.getCtrl_Flujo(); //<--------------------->> YO
        
        //------------------------------------------------YO
        if(ctrl_flujo==true){
            jRadioButtonX_on_off.setSelected(true);
        }
        
        if(ctrl_flujo==false){
            jRadioButtonNinguno.setSelected(true);
        }
        //------------------------------------------------YO  
        
        switch(velocidad){
            case 110:
                jRadioButton110.setSelected(true);
                break;
            case 300:
                jRadioButton300.setSelected(true);
                break;
            case 600:
                jRadioButton600.setSelected(true);
                break;
            case 1200:
                jRadioButton1200.setSelected(true);
                break;
            case 2400:
                jRadioButton2400.setSelected(true);
                break;
            case 4800:
                jRadioButton4800.setSelected(true);
                break;
            case 9600:
                jRadioButton9600.setSelected(true);
                break;
            case 19200:
                jRadioButton19200.setSelected(true);
                break;
        }
        switch(bitsDatos){
            case 5:
                jRadioButton5.setSelected(true);
                break;
            case 6:
                jRadioButton6.setSelected(true);
                break;
            case 7:
                jRadioButton7.setSelected(true);
                break;
            case 8:
                jRadioButton8.setSelected(true);
                break;
        }
        if(bitsParo==1.0){
            jRadioButtonBitsParo1.setSelected(true);
        }
        if(bitsParo==1.5){
            jRadioButtonBitsParo15.setSelected(true);
        }
        if(bitsParo==2.0){
            jRadioButtonBitsParo2.setSelected(true);
        }
        if(paridad==UART.PARIDAD_NINGUNA){
            jRadioButtonNinguna.setSelected(true);
        }
        if(paridad==UART.PARIDAD_ESPACIO){
            jRadioButtonEspacio.setSelected(true);
        }
        if(paridad==UART.PARIDAD_IMPAR){
            jRadioButtonImpar.setSelected(true);
        }
        if(paridad==UART.PARIDAD_MARCA){
            jRadioButtonMarca.setSelected(true);
        }
        if(paridad==UART.PARIDAD_PAR){
            jRadioButtonPar.setSelected(true);
        }
        
    }
    

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroupVelocidadTx = new javax.swing.ButtonGroup();
        buttonGroupBitsDatos = new javax.swing.ButtonGroup();
        buttonGroupBitsParo = new javax.swing.ButtonGroup();
        buttonGroupParidad = new javax.swing.ButtonGroup();
        buttonGroupControlFlujo = new javax.swing.ButtonGroup();
        jPanelVelocTransfBaudios = new javax.swing.JPanel();
        jRadioButton110 = new javax.swing.JRadioButton();
        jRadioButton300 = new javax.swing.JRadioButton();
        jRadioButton600 = new javax.swing.JRadioButton();
        jRadioButton1200 = new javax.swing.JRadioButton();
        jRadioButton2400 = new javax.swing.JRadioButton();
        jRadioButton4800 = new javax.swing.JRadioButton();
        jRadioButton9600 = new javax.swing.JRadioButton();
        jRadioButton19200 = new javax.swing.JRadioButton();
        jPanelBotones = new javax.swing.JPanel();
        jButtonAceptar = new javax.swing.JButton();
        jButtonCancelar = new javax.swing.JButton();
        jPanelBitDatos = new javax.swing.JPanel();
        jRadioButton5 = new javax.swing.JRadioButton();
        jRadioButton6 = new javax.swing.JRadioButton();
        jRadioButton7 = new javax.swing.JRadioButton();
        jRadioButton8 = new javax.swing.JRadioButton();
        jPanelBitParo = new javax.swing.JPanel();
        jRadioButtonBitsParo1 = new javax.swing.JRadioButton();
        jRadioButtonBitsParo15 = new javax.swing.JRadioButton();
        jRadioButtonBitsParo2 = new javax.swing.JRadioButton();
        jPanelParidad = new javax.swing.JPanel();
        jRadioButtonNinguna = new javax.swing.JRadioButton();
        jRadioButtonPar = new javax.swing.JRadioButton();
        jRadioButtonImpar = new javax.swing.JRadioButton();
        jRadioButtonMarca = new javax.swing.JRadioButton();
        jRadioButtonEspacio = new javax.swing.JRadioButton();
        jPanelControlFlujo = new javax.swing.JPanel();
        jRadioButtonX_on_off = new javax.swing.JRadioButton();
        jRadioButtonHardware = new javax.swing.JRadioButton();
        jRadioButtonNinguno = new javax.swing.JRadioButton();
        jPanelConector = new javax.swing.JPanel();
        jScrollPaneConector = new javax.swing.JScrollPane();
        jListConector = new javax.swing.JList();
        jPanelVerifiDetecc = new javax.swing.JPanel();
        jCheckBoxVerificacion = new javax.swing.JCheckBox();
        jCheckBoxDeteccion = new javax.swing.JCheckBox();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Comunicaciones");

        jPanelVelocTransfBaudios.setBorder(javax.swing.BorderFactory.createTitledBorder("Velocidad de transmision en baudios"));
        jPanelVelocTransfBaudios.setLayout(new java.awt.GridLayout(2, 4));

        buttonGroupVelocidadTx.add(jRadioButton110);
        jRadioButton110.setText("110");
        jRadioButton110.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jRadioButton110MousePressed(evt);
            }
        });
        jPanelVelocTransfBaudios.add(jRadioButton110);

        buttonGroupVelocidadTx.add(jRadioButton300);
        jRadioButton300.setText("300");
        jRadioButton300.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jRadioButton300MousePressed(evt);
            }
        });
        jPanelVelocTransfBaudios.add(jRadioButton300);

        buttonGroupVelocidadTx.add(jRadioButton600);
        jRadioButton600.setText("600");
        jRadioButton600.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jRadioButton600MousePressed(evt);
            }
        });
        jPanelVelocTransfBaudios.add(jRadioButton600);

        buttonGroupVelocidadTx.add(jRadioButton1200);
        jRadioButton1200.setText("1200");
        jRadioButton1200.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jRadioButton1200MousePressed(evt);
            }
        });
        jPanelVelocTransfBaudios.add(jRadioButton1200);

        buttonGroupVelocidadTx.add(jRadioButton2400);
        jRadioButton2400.setText("2400");
        jRadioButton2400.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jRadioButton2400MousePressed(evt);
            }
        });
        jPanelVelocTransfBaudios.add(jRadioButton2400);

        buttonGroupVelocidadTx.add(jRadioButton4800);
        jRadioButton4800.setText("4800");
        jRadioButton4800.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jRadioButton4800MousePressed(evt);
            }
        });
        jPanelVelocTransfBaudios.add(jRadioButton4800);

        buttonGroupVelocidadTx.add(jRadioButton9600);
        jRadioButton9600.setSelected(true);
        jRadioButton9600.setText("9600");
        jRadioButton9600.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jRadioButton9600MousePressed(evt);
            }
        });
        jPanelVelocTransfBaudios.add(jRadioButton9600);

        buttonGroupVelocidadTx.add(jRadioButton19200);
        jRadioButton19200.setText("19200");
        jRadioButton19200.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jRadioButton19200MousePressed(evt);
            }
        });
        jPanelVelocTransfBaudios.add(jRadioButton19200);

        jPanelBotones.setLayout(new java.awt.GridLayout(2, 1));

        jButtonAceptar.setText("Aceptar");
        jButtonAceptar.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jButtonAceptarMouseClicked(evt);
            }
        });
        jPanelBotones.add(jButtonAceptar);

        jButtonCancelar.setText("Cancelar");
        jButtonCancelar.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jButtonCancelarMouseClicked(evt);
            }
        });
        jPanelBotones.add(jButtonCancelar);

        jPanelBitDatos.setBorder(javax.swing.BorderFactory.createTitledBorder("Bits de datos"));
        jPanelBitDatos.setLayout(new java.awt.GridLayout(1, 4));

        buttonGroupBitsDatos.add(jRadioButton5);
        jRadioButton5.setText("5");
        jRadioButton5.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jRadioButton5MousePressed(evt);
            }
        });
        jPanelBitDatos.add(jRadioButton5);

        buttonGroupBitsDatos.add(jRadioButton6);
        jRadioButton6.setText("6");
        jRadioButton6.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jRadioButton6MousePressed(evt);
            }
        });
        jPanelBitDatos.add(jRadioButton6);

        buttonGroupBitsDatos.add(jRadioButton7);
        jRadioButton7.setText("7");
        jRadioButton7.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jRadioButton7MousePressed(evt);
            }
        });
        jPanelBitDatos.add(jRadioButton7);

        buttonGroupBitsDatos.add(jRadioButton8);
        jRadioButton8.setSelected(true);
        jRadioButton8.setText("8");
        jRadioButton8.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jRadioButton8MousePressed(evt);
            }
        });
        jPanelBitDatos.add(jRadioButton8);

        jPanelBitParo.setBorder(javax.swing.BorderFactory.createTitledBorder("Bits de paro"));
        jPanelBitParo.setLayout(new java.awt.GridLayout(1, 0));

        buttonGroupBitsParo.add(jRadioButtonBitsParo1);
        jRadioButtonBitsParo1.setSelected(true);
        jRadioButtonBitsParo1.setText("1");
        jRadioButtonBitsParo1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jRadioButtonBitsParo1MousePressed(evt);
            }
        });
        jPanelBitParo.add(jRadioButtonBitsParo1);

        buttonGroupBitsParo.add(jRadioButtonBitsParo15);
        jRadioButtonBitsParo15.setText("1.5");
        jRadioButtonBitsParo15.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jRadioButtonBitsParo15MousePressed(evt);
            }
        });
        jPanelBitParo.add(jRadioButtonBitsParo15);

        buttonGroupBitsParo.add(jRadioButtonBitsParo2);
        jRadioButtonBitsParo2.setText("2");
        jRadioButtonBitsParo2.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jRadioButtonBitsParo2MousePressed(evt);
            }
        });
        jPanelBitParo.add(jRadioButtonBitsParo2);

        jPanelParidad.setBorder(javax.swing.BorderFactory.createTitledBorder("Paridad"));
        jPanelParidad.setLayout(new java.awt.GridLayout(5, 1));

        buttonGroupParidad.add(jRadioButtonNinguna);
        jRadioButtonNinguna.setSelected(true);
        jRadioButtonNinguna.setText("Ninguna");
        jRadioButtonNinguna.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jRadioButtonNingunaMousePressed(evt);
            }
        });
        jPanelParidad.add(jRadioButtonNinguna);

        buttonGroupParidad.add(jRadioButtonPar);
        jRadioButtonPar.setText("Par");
        jRadioButtonPar.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jRadioButtonParMousePressed(evt);
            }
        });
        jPanelParidad.add(jRadioButtonPar);

        buttonGroupParidad.add(jRadioButtonImpar);
        jRadioButtonImpar.setText("Impar");
        jRadioButtonImpar.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jRadioButtonImparMousePressed(evt);
            }
        });
        jPanelParidad.add(jRadioButtonImpar);

        buttonGroupParidad.add(jRadioButtonMarca);
        jRadioButtonMarca.setText("Marca");
        jRadioButtonMarca.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jRadioButtonMarcaMousePressed(evt);
            }
        });
        jPanelParidad.add(jRadioButtonMarca);

        buttonGroupParidad.add(jRadioButtonEspacio);
        jRadioButtonEspacio.setText("Espacio");
        jRadioButtonEspacio.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jRadioButtonEspacioMousePressed(evt);
            }
        });
        jPanelParidad.add(jRadioButtonEspacio);

        jPanelControlFlujo.setBorder(javax.swing.BorderFactory.createTitledBorder("Control de Flujo"));
        jPanelControlFlujo.setLayout(new java.awt.GridLayout(3, 1));

        buttonGroupControlFlujo.add(jRadioButtonX_on_off);
        jRadioButtonX_on_off.setText("Xon/Xoff");
        jRadioButtonX_on_off.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jRadioButtonX_on_offMousePressed(evt);
            }
        });
        jPanelControlFlujo.add(jRadioButtonX_on_off);

        buttonGroupControlFlujo.add(jRadioButtonHardware);
        jRadioButtonHardware.setText("Hardware");
        jPanelControlFlujo.add(jRadioButtonHardware);

        buttonGroupControlFlujo.add(jRadioButtonNinguno);
        jRadioButtonNinguno.setSelected(true);
        jRadioButtonNinguno.setText("Ninguno");
        jRadioButtonNinguno.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jRadioButtonNingunoMousePressed(evt);
            }
        });
        jPanelControlFlujo.add(jRadioButtonNinguno);

        jPanelConector.setBorder(javax.swing.BorderFactory.createTitledBorder("Conector"));
        jPanelConector.setLayout(new java.awt.GridLayout(1, 1));

        jListConector.setModel(new javax.swing.AbstractListModel() {
            String[] strings = { "Ninguno", "COM1", "COM2" };
            public int getSize() { return strings.length; }
            public Object getElementAt(int i) { return strings[i]; }
        });
        jListConector.setSelectionMode(javax.swing.ListSelectionModel.SINGLE_SELECTION);
        jScrollPaneConector.setViewportView(jListConector);

        jPanelConector.add(jScrollPaneConector);

        jPanelVerifiDetecc.setLayout(new java.awt.GridLayout(2, 1));

        jCheckBoxVerificacion.setText("Verificación de paridad");
        jPanelVerifiDetecc.add(jCheckBoxVerificacion);

        jCheckBoxDeteccion.setText("Detección de portadora");
        jPanelVerifiDetecc.add(jCheckBoxDeteccion);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addGroup(layout.createSequentialGroup()
                                .addGap(10, 10, 10)
                                .addComponent(jPanelVelocTransfBaudios, javax.swing.GroupLayout.PREFERRED_SIZE, 294, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addComponent(jPanelBitDatos, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(jPanelBitParo, javax.swing.GroupLayout.PREFERRED_SIZE, 178, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jPanelBotones, javax.swing.GroupLayout.PREFERRED_SIZE, 126, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jPanelParidad, javax.swing.GroupLayout.PREFERRED_SIZE, 121, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.createSequentialGroup()
                                .addComponent(jPanelControlFlujo, javax.swing.GroupLayout.PREFERRED_SIZE, 132, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(18, 18, 18)
                                .addComponent(jPanelConector, javax.swing.GroupLayout.DEFAULT_SIZE, 193, Short.MAX_VALUE))
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(jPanelVerifiDetecc, javax.swing.GroupLayout.PREFERRED_SIZE, 153, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(190, 190, 190)))))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jPanelVelocTransfBaudios, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jPanelBotones, javax.swing.GroupLayout.PREFERRED_SIZE, 63, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jPanelBitDatos, javax.swing.GroupLayout.PREFERRED_SIZE, 65, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jPanelBitParo, javax.swing.GroupLayout.DEFAULT_SIZE, 67, Short.MAX_VALUE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jPanelParidad, javax.swing.GroupLayout.PREFERRED_SIZE, 153, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jPanelConector, javax.swing.GroupLayout.DEFAULT_SIZE, 113, Short.MAX_VALUE)
                            .addComponent(jPanelControlFlujo, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 113, Short.MAX_VALUE))
                        .addGap(11, 11, 11)
                        .addComponent(jPanelVerifiDetecc, javax.swing.GroupLayout.PREFERRED_SIZE, 59, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jRadioButton110MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jRadioButton110MousePressed
        setVelocidad(110);
    }//GEN-LAST:event_jRadioButton110MousePressed

    private void jRadioButton300MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jRadioButton300MousePressed
        setVelocidad(300);
    }//GEN-LAST:event_jRadioButton300MousePressed

    private void jRadioButton600MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jRadioButton600MousePressed
        setVelocidad(600);
    }//GEN-LAST:event_jRadioButton600MousePressed

    private void jRadioButton1200MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jRadioButton1200MousePressed
        setVelocidad(1200);
    }//GEN-LAST:event_jRadioButton1200MousePressed

    private void jRadioButton2400MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jRadioButton2400MousePressed
        setVelocidad(2400);
    }//GEN-LAST:event_jRadioButton2400MousePressed

    private void jRadioButton4800MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jRadioButton4800MousePressed
        setVelocidad(4800);
    }//GEN-LAST:event_jRadioButton4800MousePressed

    private void jRadioButton9600MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jRadioButton9600MousePressed
        setVelocidad(9600);
    }//GEN-LAST:event_jRadioButton9600MousePressed

    private void jRadioButton19200MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jRadioButton19200MousePressed
        setVelocidad(19200);
    }//GEN-LAST:event_jRadioButton19200MousePressed

    private void jRadioButton5MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jRadioButton5MousePressed
        setBitsDatos(5);
    }//GEN-LAST:event_jRadioButton5MousePressed

    private void jRadioButton6MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jRadioButton6MousePressed
        setBitsDatos(6);
    }//GEN-LAST:event_jRadioButton6MousePressed

    private void jRadioButton7MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jRadioButton7MousePressed
        setBitsDatos(7);
    }//GEN-LAST:event_jRadioButton7MousePressed

    private void jRadioButton8MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jRadioButton8MousePressed
        setBitsDatos(8);
    }//GEN-LAST:event_jRadioButton8MousePressed

    private void jRadioButtonBitsParo1MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jRadioButtonBitsParo1MousePressed
        setBitsParo(1.0);
    }//GEN-LAST:event_jRadioButtonBitsParo1MousePressed

    private void jRadioButtonBitsParo15MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jRadioButtonBitsParo15MousePressed
        setBitsParo(1.5);
    }//GEN-LAST:event_jRadioButtonBitsParo15MousePressed

    private void jRadioButtonBitsParo2MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jRadioButtonBitsParo2MousePressed
        setBitsParo(2.0);
    }//GEN-LAST:event_jRadioButtonBitsParo2MousePressed

    private void jRadioButtonNingunaMousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jRadioButtonNingunaMousePressed
        setParidad(UART.PARIDAD_NINGUNA);
    }//GEN-LAST:event_jRadioButtonNingunaMousePressed

    private void jRadioButtonParMousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jRadioButtonParMousePressed
        setParidad(UART.PARIDAD_PAR);
    }//GEN-LAST:event_jRadioButtonParMousePressed

    private void jRadioButtonImparMousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jRadioButtonImparMousePressed
        setParidad(UART.PARIDAD_IMPAR);
    }//GEN-LAST:event_jRadioButtonImparMousePressed

    private void jRadioButtonMarcaMousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jRadioButtonMarcaMousePressed
        setParidad(UART.PARIDAD_MARCA);
    }//GEN-LAST:event_jRadioButtonMarcaMousePressed

    private void jRadioButtonEspacioMousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jRadioButtonEspacioMousePressed
        setParidad(UART.PARIDAD_ESPACIO);
    }//GEN-LAST:event_jRadioButtonEspacioMousePressed

    private void jButtonAceptarMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jButtonAceptarMouseClicked
        hacerEfectivo();
        setVisible(false);
    }//GEN-LAST:event_jButtonAceptarMouseClicked

    private void jButtonCancelarMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jButtonCancelarMouseClicked
        setVisible(false);
    }//GEN-LAST:event_jButtonCancelarMouseClicked

    //--------------------------------------YO
    private void jRadioButtonX_on_offMousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jRadioButtonX_on_offMousePressed
        // TODO add your handling code here:
        setCtrl_Flujo(true);
    }//GEN-LAST:event_jRadioButtonX_on_offMousePressed

    private void jRadioButtonNingunoMousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jRadioButtonNingunoMousePressed
        // TODO add your handling code here:
        setCtrl_Flujo(false);
    }//GEN-LAST:event_jRadioButtonNingunoMousePressed
    //--------------------------------------YO
    
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(Comunicaciones.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(Comunicaciones.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(Comunicaciones.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(Comunicaciones.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the dialog */
        java.awt.EventQueue.invokeLater(new Runnable() {

            public void run() {
                Comunicaciones dialog = new Comunicaciones(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {

                    @Override
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }
    
    public void setVelocidad(int v){
        velocidad=v;
    }
    
    public void setBitsDatos(int bitsDatos){
        this.bitsDatos=bitsDatos;
    }
    
    public void setBitsParo(double bitsParo){
        this.bitsParo=bitsParo;
    }
    
    public void setParidad(int p){
        this.paridad=p;
    }
    
    //------------------------------------YO
    public void setCtrl_Flujo(boolean cf){
        this.ctrl_flujo=cf;
    }
    //------------------------------------YO
    
    public void hacerEfectivo(){
        hyperTerminal.setVelocidad(velocidad);
        hyperTerminal.setBitsDatos(bitsDatos);
        hyperTerminal.setBitsParo(bitsParo);
        hyperTerminal.setParidad(paridad);
        //------------------------------------YO
        hyperTerminal.setCtrl_Flujo(ctrl_flujo);
        //------------------------------------YO
    }
 
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.ButtonGroup buttonGroupBitsDatos;
    private javax.swing.ButtonGroup buttonGroupBitsParo;
    private javax.swing.ButtonGroup buttonGroupControlFlujo;
    private javax.swing.ButtonGroup buttonGroupParidad;
    private javax.swing.ButtonGroup buttonGroupVelocidadTx;
    private javax.swing.JButton jButtonAceptar;
    private javax.swing.JButton jButtonCancelar;
    private javax.swing.JCheckBox jCheckBoxDeteccion;
    private javax.swing.JCheckBox jCheckBoxVerificacion;
    private javax.swing.JList jListConector;
    private javax.swing.JPanel jPanelBitDatos;
    private javax.swing.JPanel jPanelBitParo;
    private javax.swing.JPanel jPanelBotones;
    private javax.swing.JPanel jPanelConector;
    private javax.swing.JPanel jPanelControlFlujo;
    private javax.swing.JPanel jPanelParidad;
    private javax.swing.JPanel jPanelVelocTransfBaudios;
    private javax.swing.JPanel jPanelVerifiDetecc;
    private javax.swing.JRadioButton jRadioButton110;
    private javax.swing.JRadioButton jRadioButton1200;
    private javax.swing.JRadioButton jRadioButton19200;
    private javax.swing.JRadioButton jRadioButton2400;
    private javax.swing.JRadioButton jRadioButton300;
    private javax.swing.JRadioButton jRadioButton4800;
    private javax.swing.JRadioButton jRadioButton5;
    private javax.swing.JRadioButton jRadioButton6;
    private javax.swing.JRadioButton jRadioButton600;
    private javax.swing.JRadioButton jRadioButton7;
    private javax.swing.JRadioButton jRadioButton8;
    private javax.swing.JRadioButton jRadioButton9600;
    private javax.swing.JRadioButton jRadioButtonBitsParo1;
    private javax.swing.JRadioButton jRadioButtonBitsParo15;
    private javax.swing.JRadioButton jRadioButtonBitsParo2;
    private javax.swing.JRadioButton jRadioButtonEspacio;
    private javax.swing.JRadioButton jRadioButtonHardware;
    private javax.swing.JRadioButton jRadioButtonImpar;
    private javax.swing.JRadioButton jRadioButtonMarca;
    private javax.swing.JRadioButton jRadioButtonNinguna;
    private javax.swing.JRadioButton jRadioButtonNinguno;
    private javax.swing.JRadioButton jRadioButtonPar;
    private javax.swing.JRadioButton jRadioButtonX_on_off;
    private javax.swing.JScrollPane jScrollPaneConector;
    // End of variables declaration//GEN-END:variables
}
